Message Boards

Topic: Odamex 6.2.0 on Lubuntu (compile error)  (Read 4379 times)

Aeyesx

  • Nobody
Odamex 6.2.0 on Lubuntu (compile error)
« on: February 07, 2013, 16:32:00 »
Hi,
I just have clear Lubuntu 12.10 and when i tried to compile odamex i got stuck at this error:
Code: [Select]
make[2]: *** [odalaunch/res/xrc_resource.h] Error 1
make[1]: *** [odalaunch/CMakeFiles/odalaunch.dir/all] Error 2
make: *** [all] Error 2
(at 94%)

I googled for that, and i found that it's couse by missing library (or something i forgot it's name).So i tried to install it but system respond that i have lasted version but error is still there :/ (On that post what i found  was solved some wrong path..) Can anyone help?

Offline Pseudoscientist

  • Posts: 43
  • Peanut gallery
    • View Profile
Re: Odamex 6.2.0 on Lubuntu (compile error)
« Reply #1 on: February 08, 2013, 01:30:16 »
You omitted the real error message and the name of the library you tried to install. Because of that it's difficult to say what went wrong.
Maybe someone here already had this error and will recognize it, but otherwise please post the error in full.
Sorry Guest, you are banned from using this forum!

Aeyesx

  • Nobody
Re: Odamex 6.2.0 on Lubuntu (compile error)
« Reply #2 on: February 08, 2013, 11:29:08 »
Code: [Select]
18:23:14: Error: can't open file '/home/aeyesx/Sta?en?/odamex-src-0.6.2/odalaunch/res/icons.xrc' (error 14: Bad address)
18:23:14: Error: Error parsing file /home/aeyesx/Sta?en?/odamex-src-0.6.2/odalaunch/res/icons.xrc
18:23:14: Error: can't open file '/home/aeyesx/Sta?en?/odamex-src-0.6.2/odalaunch/res/xrc_resource.xrc' (error 14: Bad address)
18:23:14: Error: Error parsing file /home/aeyesx/Sta?en?/odamex-src-0.6.2/odalaunch/res/xrc_resource.xrc
make[2]: *** [odalaunch/res/xrc_resource.h] Error 1
make[1]: *** [odalaunch/CMakeFiles/odalaunch.dir/all] Error 2
make: *** [all] Error 2

Sorry for slow response... i hope it's enough...

Offline Pseudoscientist

  • Posts: 43
  • Peanut gallery
    • View Profile
Re: Odamex 6.2.0 on Lubuntu (compile error)
« Reply #3 on: February 09, 2013, 04:04:50 »
I installed Lubuntu 12.10 in a VM, followed these instructions: http://odamex.net/boards/index.php/topic,2127.0.html#msg4656 (except 'make install' which doesn't work anyway for Odamex) and it compiled successfully.

Sorry if this isn't helpful.
Sorry Guest, you are banned from using this forum!

Offline Pseudoscientist

  • Posts: 43
  • Peanut gallery
    • View Profile
Re: Odamex 6.2.0 on Lubuntu (compile error)
« Reply #4 on: February 09, 2013, 11:48:59 »
just testing if my messages go through

I installed Lubuntu 12.10 in a VM, followed these instructions: http://odamex.net/boards/index.php/topic,2127.0.html#msg4656 (except 'make install' which doesn't work anyway for Odamex) and it compiled successfully.

Sorry if this isn't helpful.
« Last Edit: February 09, 2013, 11:51:31 by Pseudoscientist »
Sorry Guest, you are banned from using this forum!

Offline Hekksy

  • Doomin' since '96
  • Administrator
  • Posts: 152
    • View Profile
Re: Odamex 6.2.0 on Lubuntu (compile error)
« Reply #5 on: February 13, 2013, 08:24:04 »
This error looks pretty similar to what this user was experiencing. Maybe it can help you. http://odamex.net/boards/index.php/topic,2169.0.html
Join the Odamex Steam group! http://steamcommunity.com/groups/odamex
Check out the Odamex Discord as well: https://discord.gg/vHUu236